# coding: utf-8

require "sketchup.rb"
require "extensions.rb"

module F3d
  module FlexTools

    # Plugin information
    PLUGIN_NAME        = "FlexTools".freeze
    FLEXTOOLS_VERSION  = "1.5.2".freeze

    ### EXTENSION ### ------------------------------------------------------------

    unless file_loaded?(__FILE__)
      ex = SketchupExtension.new(PLUGIN_NAME, "f3d_flextools/main")
      ex.description = "FlexTools speed up modeling time with an expandable set of Dynamic Components and Plugins." +
      " FlexZapper, FlexWindow, FlexDoor, FlexSlat... "
      ex.version     = FLEXTOOLS_VERSION
      ex.copyright   = "2017 Frandzel3D"
      ex.creator     = "Frandzel3D"
      Sketchup.register_extension(ex, true)
      file_loaded(__FILE__)
    end

  end # module Flex
end # module F3d
